1. Setting
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
      • Customer journey of an order
      • Order First & Last Touchpoint of an order
      • Event summary of a landing page
    • Setting
      • Attribution models
        POST
      • Conversion Goals
        POST
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Setting

Attribution models

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/get/setting-models
The attribution model determines how you will distribute the conversion contribution of a channel or touchpoint.

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200ๆˆๅŠŸ
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/get/setting-models' \
--header 'ApiKey: 15xvome1000dh5vsow9geg7110yi43zd' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
  "code": 1,
  "message": "Service succeed",
  "data": {
    "records": [
      {
        "code": "t5vx68016z6d223jdwsg7c8100b40twx",
        "name": "PositionV2",
        "base_model": "position_v2",
        "window": "90",
        "channels": [
          "all"
        ],
        "ad_platforms": [
          "all"
        ],
        "scene": null,
        "data_source": 2
      },
      {
        "code": "1cwm0j21flccyfwtsfj1xaw1003r2hga",
        "name": "Last click",
        "base_model": "last_clicked",
        "window": "30",
        "channels": [
          "all"
        ],
        "ad_platforms": [
          "all"
        ],
        "scene": null,
        "data_source": 1
      },
      {
        "code": "1cwm0j21fm6cyfwtxa9f114100kv6i9v",
        "name": "First click",
        "base_model": "first_clicked",
        "window": "60",
        "channels": [
          "all"
        ],
        "ad_platforms": [
          "all"
        ],
        "scene": null,
        "data_source": 1
      },
      {
        "code": "1cwm0j21fmwcyfwu07m624g100phdcbl",
        "name": "Linear",
        "base_model": "linear",
        "window": "180",
        "channels": [
          "all"
        ],
        "ad_platforms": [
          "all"
        ],
        "scene": null,
        "data_source": 1
      },
      {
        "code": "1cwm0j21fnkcyfwu2n2h120100tvnkjz",
        "name": "Position",
        "base_model": "position",
        "window": "180",
        "channels": [
          "all"
        ],
        "ad_platforms": [
          "all"
        ],
        "scene": null,
        "data_source": 1
      }
    ]
  }
}
Modified atย 2026-03-18 15:41:19
Previous
Event summary of a landing page
Next
Conversion Goals
Built with